coq (8.20.1+dfsg-1build4) resolute; urgency=medium

  * No change rebuild with fixed amd64v3 builders

 -- Sebastien Bacher <seb128@debian.org>  Sat, 28 Feb 2026 20:45:34 +0100

coq (8.20.1+dfsg-1build3) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Jan 2026 22:28:44 +0100

coq (8.20.1+dfsg-1build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Jan 2026 18:55:56 +0100

coq (8.20.1+dfsg-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 11:07:55 +0200

coq (8.20.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 15 Feb 2025 15:19:14 +0100

coq (8.20.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:37:25 +0100

coq (8.19.1+dfsg-3) unstable; urgency=medium

  * Add support for a different OCaml stdlib dir

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 09:40:45 +0200

coq (8.19.1+dfsg-2) unstable; urgency=medium

  * Call "dune build" with "--release" to avoid failure on warnings

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 07:57:25 +0200

coq (8.19.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 11 Mar 2024 15:46:22 +0100

coq (8.19.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 24 Feb 2024 09:50:14 +0100

coq (8.18.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format:
    + debian/coq.lintian-overrides: line 2, 4-21
    + debian/libcoq-core-ocaml-dev.lintian-overrides: line 2
    + debian/libcoq-core-ocaml.lintian-overrides: line 2-4, 6
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop dependency on essential package bash (>= 5.0).
    + Build-Depends: Drop versioned constraint on dh-ocaml (>= 0.9.5~).
    + Build-Depends: Drop versioned constraint on ocaml-nox (>= 4.05).
    + Build-Depends: Drop versioned constraint on camlp5 (>= 6.14).
    + libcoq-stdlib: Drop versioned constraint on coq (>= 8.0) in Recommends.
    + libcoq-core-ocaml: Drop conflict with removed package coq (<< 8.3~) in
      Replaces.
    + libcoq-core-ocaml: Drop conflict with removed package libcoq-ocaml-dev (<<
      8.3~) in Replaces.
    + libcoq-core-ocaml: Drop conflict with removed package coq (<< 8.3~) in
      Breaks.
    + libcoq-core-ocaml: Drop conflict with removed package libcoq-ocaml-dev (<<
      8.3~) in Breaks.
    + libcoq-core-ocaml-dev: Drop conflict with removed package coq (<<
      8.2-1+dfsg-1) in Replaces.
    + libcoq-core-ocaml-dev: Drop conflict with removed package coq (<<
      8.2-1+dfsg-1) in Breaks.

  [ Julien Puydt ]
  * Fix d/rules clean target (Closes: #1044637).
  * New upstream release.
  * Refresh patches.
  * Drop the coq-unimath workaround patch.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 14:34:31 +0100

coq (8.17.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Refresh lintian overrides.
  * Fix build.
  * Bump standards-version to 4.6.2.
  * Add patch to workaround a problem in coq-unimath.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 08:54:21 +0200

coq (8.16.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 29 Nov 2022 09:28:08 +0100

coq (8.16.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 05 Sep 2022 17:56:26 +0200

coq (8.15.2+dfsg-2) unstable; urgency=medium

  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 11 Jun 2022 16:16:14 +0200

coq (8.15.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 31 May 2022 21:39:53 +0200

coq (8.15.1+dfsg-2) unstable; urgency=medium

  * Don't strip everything!
  * Add a patch to fix a typo.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 20 May 2022 15:53:07 +0200

coq (8.15.1+dfsg-1) unstable; urgency=medium

  * Better d/watch.
  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 22 Mar 2022 18:05:26 +0100

coq (8.15.0+dfsg-2) unstable; urgency=medium

  * Rework binary packages so they follow more closely
  upstream's view of its "packages".

 -- Julien Puydt <jpuydt@debian.org>  Fri, 04 Feb 2022 08:54:41 +0100

coq (8.15.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1003586)
  * Refresh patches.
  * Refresh lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jan 2022 12:26:54 +0100

coq (8.14.1+dfsg-2) unstable; urgency=medium

  * Make the ocaml libraries available in /usr/lib/ocaml
   (so ocamlfind sees them)

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jan 2022 08:54:23 +0100

coq (8.14.1+dfsg-1) unstable; urgency=medium

  * Ship META in the right package and hence Suggest: ocaml-findlib
   (following OCaml Packaging Policy).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 11 Dec 2021 11:46:49 +0100

coq (8.14.0+dfsg-6) unstable; urgency=medium

  * Still missed bytecode-only architectures for some packages...

 -- Julien Puydt <jpuydt@debian.org>  Tue, 16 Nov 2021 08:35:39 +0100

coq (8.14.0+dfsg-5) unstable; urgency=medium

  * Missed two bytecode-only architectures.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 16 Nov 2021 07:33:35 +0100

coq (8.14.0+dfsg-4) unstable; urgency=medium

  * Strip libraries.
  * Build using dune directly.
  * Make the html doc point to a local logo file.
  * Make the html doc point to local css files.
  * Disable the bytecode-only architectures (Closes: #999651).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 15 Nov 2021 06:59:19 +0100

coq (8.14.0+dfsg-3) unstable; urgency=medium

  * Add bash to the build-deps and generalize
  avoid-usr-bin-env.patch into a fix_debian_paths.patch ;
  made the other patches cope with it.
  * Add a patch to handle the timing scripts correctly.
  * Add a lintian override for false positive ocaml-dangling-cmi.
  * Add a lintian override for false positive
    shared-library-lacks-prerequisites.
  * Add a lintian override for maintainer-desktop-entry.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 13 Nov 2021 12:23:41 +0100

coq (8.14.0+dfsg-2) experimental; urgency=medium

  * Add myself to uploaders.
  * Bump standards-version to 4.6.0.
  * Rewrite avoid-usr-bin-env.patch.
  * Drop python-scripts-libraries.patch.
  * Drop skip-dot-pc.patch.
  * Make the whole patch stack work.
  * Update lintian overrides about wildcard in HTML filenames.
  * Point coq-theories.doc-base to the new path.
  * Enable hardening flags in d/rules.
  * Add keywords to coqide.desktop.
  * Remove debian-shipped coqide.1 -- now upstream.
  * Add lintian overrides for long lines is source code.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 11 Nov 2021 17:40:04 +0100

coq (8.14.0+dfsg-1) experimental; urgency=medium

  * Non-maintainer upload.
  * Drop retired Enrico Tassi from uploaders (Closes: #995543).
  * Rework d/copyright, d/gbp.conf, d/README.source and d/watch
    so updating to a new upstream is cleaner and simpler.
  * New upstream release (update patches, d/rules...).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 08 Nov 2021 07:43:58 +0100

coq (8.12.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Ralf Treinen <treinen@debian.org>  Wed, 09 Sep 2020 21:16:07 +0200

coq (8.12.0-2) experimental; urgency=medium

  * Patch remove-heavy-tests: also remove test bugs/closed/bug_4544.v
    as it is a complexity test that tends to timeout on slow architectures.

 -- Ralf Treinen <treinen@debian.org>  Sun, 06 Sep 2020 09:59:04 +0200

coq (8.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches:
    - remove-tests-that-need-coqlib
    - remove-bytecode-failing-tests
    - avoid-usr-bin-env
    - python-scripts-libraries
    - skip-dot-pc
    - testsuite-bytecode
  * d/rules: update COQ_VERSION
  * Update versions of build-dependencies, according to INSTALL.md
  * d/*.install.in files:
    - install ssrsearch plugin in the libcoq-ocaml package
    - install ocamllibdep binary in the coq package
  * Debhelper compatibility level 13
    - drop override of dh_missing
  * Set Rules-Requires-Root=no

 -- Ralf Treinen <treinen@debian.org>  Fri, 21 Aug 2020 20:24:43 +0200

coq (8.11.1~pre1-1) experimental; urgency=medium

  * New upstream pre-release (tagged on github, but not yet officially
    announced).
  * Dropped patches:
    - votour-linking (fixed by upstream)
    - restore_g_ssrmatching.mli (fixed by upstream)
    - verbose-build (no longer useful as we are running the test-suite
      with PRINT_LOGS=1)
  * New patch testsuite-bytecode by Hugo Herbelin (thanks!): fixes failure
    of tests using locally generated makefiles on bytecode architectures.
  * Refreshed patches:
    - install-coqide-bytecode
    - remove-bytecode-failing-tests.patch
  * Extended patch remove-bytecode-failing-tests to also disable the test
    coq-makefile/findlib-package-unpacked
  * Dropped build-dependency hevea as we are not building the documentation
  * Replaced build-dependency on texlive-latex-extra by tex-common as we are
    not building the documentation, and just installing some tex files
  * Drop /usr/bin/doc_grammar from coq.install

 -- Ralf Treinen <treinen@debian.org>  Thu, 16 Apr 2020 18:34:27 +0200

coq (8.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Updated patches:
     - remove-heavy-tests: also remove success/Nia.v
     - avoid-usr-bin-env.patch: also patch dev/tools/update-compat.py.
       Thanks to the Gianfranco Costamagna for the hint (closes: #952454)
  * Refreshed patches:
    - remove-tests-that-need-coqlib
    - python-scripts-libraries
    - skip-dot-pc
    - verbose-build
    - remove-bytecode-failing-tests
  * Removed patches:
    - ssrmatching-license: fixed by upstream
    - use-changelog-date: fixed by upstream
  * New patch:
    - restore_g_ssrmatching.mli
    - votour-linking: patch by Hugo Herbelin (thanks!) fixes linking of
      votour on bytecode architectures
  * invoke "make test" with PRINT_LOGS=1 as suggested by SkySkimmer (thanks)
  * disable building of the VM on s390x, as suggested by ejgallego (thanks)
    This should fix a test failure on s390x
    (https://github.com/coq/coq/issues/11395)
  * Dispatch into different binary packages:
    - simplify find invocation in debian/rules
    - add *.vos files, new *.cmo, *.cmxs files
    - add votour and doc_grammar binaries
  * Add an as-installed test for the compiler and the toplevel
  * Renamed debian/TODO.Debian to debian/TODO
  * Bump build-dependency on ocaml to >= 4.05, as indicated by INSTALL

 -- Ralf Treinen <treinen@debian.org>  Thu, 05 Mar 2020 21:37:30 +0100

coq (8.10.2-1) experimental; urgency=medium

  * New upstream release
    - update COQ_VERSION in debian/rules
  * Refreshed patches:
    - remove-heavy-tests.patch: drop removal of test-suite/bugs/closed/5127.v
      as this file is no longer distributed by upstream
    - avoid-usr-bin-env
    - python-scripts-libraries
    - verbose-build
    - remove-bytecode-failing-tests
    - remove-tests-that-need-coqlib.patch
  * Dropped patches:
    - remove-time-sensitive-tests, as none of these tests is distributed
      by upstream any more
    - 0013-Remove-test-failing-with-OCaml-4.08.0 as that test is no longer
      distributed by upstream
    - 0012-ocaml-4.08-does-not-allow-dynamic-loading-of-already
  * New patch use-changelog-date: use the date from the debian changelog
    entry, instead of the real time of compilation, in order to improve
    reproducibility. Based on a patch by Valentin Lorentz  (thanks!)
    (closes: #794130).
  * Reactivate building of coqide (closes: #920589, #946580)
    - put back the coqide paragraph in debian/control
    - bump build-dependencies on lablgtk to version 3
    - coq suggests coqide as an alternative to proofgeneral
    - mention coqide in the long description of coq
    - put back debian/coqide.{1,desktop,dirs,install,links.in} from version
      8.6-5
    - update debian/*.install and debian/not-installed files
  * Build-Conflicts with libcoq-ocaml. This seems to be necessary to avoid
    that coq depends on two versions of libcoq-ocaml: the one being build,
    and the one currently installed.
  * Update libcoq-ocaml{-dev}.install.in
  * Move coqidetop from the coqide package to the coq package, following advice
    by upstream
  * Update docs
  * Generate html pages for the stdlib using HTMLSTYLE=simple, to avoid
    linking to external stylesheets
  * Build-depend on debhelper-compat, drop file debian/compat
  * Debhelper compatibility level 11
    - debian/rules: use "dh_missing --fail-missing" instead of
      "dh_install --fail-missing"
  * Standards-Version 4.4.1 (no change)
  * debian/copyright: updates of copyright holders in many files.
  * Add lintian-overrides for filenames containing wildcard characters
    in package coq-theories
  * debian/gbp.conf:
    - add doc/whodidwhat to the filter as this is part of the non-free
      reference manual
    - drop plugins/ssrmatching/g_ssrmatching.mli from the filter as
      upstream has fixed its license.

 -- Ralf Treinen <treinen@debian.org>  Wed, 01 Jan 2020 20:25:21 +0100

coq (8.9.1-5) unstable; urgency=medium

  * Be more precise in install files to avoid that usr/bin/coqidetop.{opt,byte}
    gets installed in both the coq and coqide packages (closes: #949975)
  * Add an as-installed test for the compiler and the toplevel.
  * Build-Conflicts with libcoq-ocaml. This seems to be necessary to avoid
    that coq depends on two versions of libcoq-ocaml: the one being build,
    and the one that is installed on the system.

 -- Ralf Treinen <treinen@debian.org>  Tue, 28 Jan 2020 20:23:39 +0100

coq (8.9.1-4) unstable; urgency=medium

  * Patch install-coqide-bytecode: fix installation of ide on bytecode-only
    architectures.
  * Fix coqide.install for bytecode-only architectures
  * Remove coqide and coqidetop stuff from debian/not-installed

 -- Ralf Treinen <treinen@debian.org>  Mon, 27 Jan 2020 03:29:33 +0100

coq (8.9.1-3) unstable; urgency=medium

  * Reactive building of coqide (closes: #920589)
    - put back the coqide paragraph in debian/control
    - coq suggests coqide as an alternative to proofgeneral
    - mention coqide in the long description of coq
    - put back debian/coqide.{1,desktop,dirs,install,links.in} from version
      8.6-5
  * Move coqidetop from the coqide package to the coq package (closes: #946580)
  * Generate html pages for the stdlib using HTMLSTYLE=simple, to avoid
    linking to external stylesheets
  * Add lintian-overrides for filenames containing wildcard characters
    in package coq-theories
  * Build-depend on debhelper-compat, drop file debian/compat
  * Debhelper compatibility level 11
    - debian/rules: use "dh_missing --fail-missing" instead of
      "dh_install --fail-missing"
  * Standards-Version 4.5.0  (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 24 Jan 2020 21:58:35 +0100

coq (8.9.1-2) unstable; urgency=medium

  * Recompile with OCaml 4.08.1

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Nov 2019 16:48:46 +0100

coq (8.9.1-1) unstable; urgency=medium

  * New upstream release
  * Fix FTBFS with OCaml 4.08.0
    - add libnum-ocaml-dev to Build-Depends
    - apply a patch to fix double loading of pr_dump.cmo (camlp5)
    - remove a failing test
  * Remove Samuel from Uploaders
  * Bump Standards-Version to 4.4.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2019 05:09:34 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libcoq-core-ocaml`.
